@ECHO OFF
REM =================================================================
REM JGate.CMD - wrapper to start up the CICS Gateway for Java
REM
REM Version 1.1
REM (c) IBM Corporation 1996
REM =================================================================

TITLE CICS Gateway for Java

SETLOCAL
set PATH=%PATH%;%TSDEMOPATH%\common\java\bin
set CLASSPATH=%CLASSPATH%;%TSDEMOPATH%\Callcjav
REM =================================================================
REM Set the JGATE_HOME environment variable
REM
REM We do this by running the JGHome program to output the value of
REM JGATE_HOME based off of the directory the JGHome program is
REM actually running in
REM =================================================================

JGHome >%TEMP%\JGHOME.CMD
CALL %TEMP%\JGHOME.CMD
ERASE %TEMP%\JGHOME.CMD

REM =================================================================
REM Use JGATE_HOME to correctly set CLASSPATH and the PATH
REM =================================================================

SET CLASSPATH=%CLASSPATH%;%JGATE_HOME%\classes
SET PATH=%PATH%;%JGATE_HOME%\bin\nt

REM =================================================================
REM The batch processor on NT treats equals signs as white space.
REM This means that eg. -port=1234 gets changed into -port 1234. It
REM also means that we could possible end up with 12 command line
REM options and so cannot simply do %1 to %9. Hence we must loop
REM round building up an environment variable containing the complete
REM command line to pass onwards.
REM
REM NB. On NT 4 we could use the %* command to pass the whole command
REM line through unchanged but this is not supported on NT 3.51 etc..
REM =================================================================

SET JGATE_CMD_LINE=
:BUILDCMD
IF %1.==. GOTO BUILTCMD
SET JGATE_CMD_LINE=%JGATE_CMD_LINE% %1
REM ECHO %JGATE_CMD_LINE% 
SHIFT
GOTO BUILDCMD
:BUILTCMD

REM =================================================================
REM Finally we can call JAVA.EXE to start up the CICS Gateway
REM for Java
REM =================================================================

JAVA ibm.cics.jgate.server.JGate %JGATE_CMD_LINE%

ENDLOCAL
