@echo off
REM Check environment is set okay
if not exist icskey.exe goto icskey_err

REM Start Lotus Go if not already started
net start > services.out
Findstr /c:"Lotus Domino Go Webserver" service.out > nul 2>&1
if "%errorlevel%"=="0" goto GoRunning
echo ... Start Lotus Domino Go Webserver
net start "Lotus Domino Go Webserver"
goto GoContinue
:GoRunning
echo ... ( Lotus Domino Go Webserver already running )
:GoContinue
echo.

REM Create SSL key
echo ... Creating SSL key for Lotus Domino Go
icskey
echo.

REM Recycle GO
echo ... Recycling Lotus Domino Go Webserver to pick up the SSL key
net stop "Lotus Domino Go Webserver"
echo.
net start "Lotus Domino Go Webserver"
echo.

pause
goto :EOF

REM --------------------------------- SUBROUTINES -----------------------------------

REM *************************************************************
REM * Error Handling
REM *************************************************************
:icskey_err
echo.
echo ERROR - ICSKEY.EXE must be in the current directory when this program is 
echo ERROR - run.  Please change directory to the directory on the CD containing 
echo ERROR - this file or to directory on the hard disk containing this file if 
echo ERROR - the install has been run.
echo.
pause
goto :EOF
